ZipArchive::extractTo
ZipArchive::getCommentIndex
Zip Functions
PHP Manual

# ZipArchive::getArchiveComment

(No version information available, might be only in CVS)

ZipArchive::getArchiveComment — Returns the Zip archive comment

### Description

string ZipArchive::getArchiveComment ( void )

Returns the Zip archive comment.

### Return Values

Returns the Zip archive comment or `FALSE` on failure.

### Examples

Example #1 Dump an archive comment

`<?php
$zip = new ZipArchive;
$res = $zip->open('test_with_comment.zip')
if ($res === TRUE) {
var_dump($zip->getArchiveComment());
/* Or using the archive property */
var_dump($zip->comment);
} else {
echo 'failed, code:' . $res;
}
?>`

ZipArchive::extractTo
ZipArchive::getCommentIndex
Zip Functions
PHP Manual